Index: zaptel.c
===================================================================
RCS file: /usr/cvsroot/zaptel/zaptel.c,v
retrieving revision 1.85
diff -u -w -r1.85 zaptel.c
--- zaptel.c	16 Jul 2004 22:09:07 -0000	1.85
+++ zaptel.c	20 Jul 2004 18:40:38 -0000
@@ -4973,6 +4973,10 @@
 	  /* skip if no change */
 	unsigned long flags;
 	spin_lock_irqsave(&chan->lock, flags);
+	if (rxsig == ZT_RXSIG_POLARITY) {
+	    __qevent(chan, ZT_EVENT_POLARITY);
+	    printk("Signalled polarity event\n");
+	} else
 	__zt_hooksig_pvt(chan,rxsig);
 	spin_unlock_irqrestore(&chan->lock, flags);
 }
Index: zaptel.h
===================================================================
RCS file: /usr/cvsroot/zaptel/zaptel.h,v
retrieving revision 1.34
diff -u -w -r1.34 zaptel.h
--- zaptel.h	30 Jun 2004 14:08:42 -0000	1.34
+++ zaptel.h	20 Jul 2004 18:40:38 -0000
@@ -1117,7 +1120,8 @@
 	ZT_RXSIG_OFFHOOK,
 	ZT_RXSIG_START,
 	ZT_RXSIG_RING,
-	ZT_RXSIG_INITIAL
+	ZT_RXSIG_INITIAL,
+	ZT_RXSIG_POLARITY,
 } zt_rxsig_t;
 	
 
